	<div class="blockform">
		<h2><span><%=h @user.username %> - Personality</span></h2>
		<div class="box">
			<form id="profile3" method="post" action="<%= url_for :action => 'update_personality', :id => @user.id  %>">
				<div><input type="hidden" name="form_sent" value="1" /></div>
<% if Settings.avatars == true -%>
				<div class="inform">
					<fieldset id="profileavatar">
						<legend>Set your avatar display options</legend>
						<div class="infldset">
					<img src="<%= Settings.avatars_dir %>/<%= @user.id %>avatar_format" size="30" alt="" />
					<p>An avatar is a small image that will be displayed with all your posts. You can upload an avatar by clicking the link below. The checkbox 'Use avatar' below must be checked in order for the avatar to be visible in your posts.</p>
							<div class="rbox">
								<label><input type="checkbox" name="form[use_avatar]" value="1"<%= ' checked="checked"' if @user.use_avatar == true %>>Use avatar <br /></label>
							</div>
							<p class="clearb"><a href="<%= url_for :action => 'change_avatar', :id => @user.id %>">Change avatar</a><a href="<%= url_for :action => 'upload_avatar', :id => @user.id %>">Upload avatar</a>&nbsp;&nbsp;&nbsp;<a href="<%= url_for :action => 'delete_avatar', :id => @user.id %>">Delete avatar</a>
							</p>
						</div>
					</fieldset>
				</div>
<% end -%>
				<div class="inform">
					<fieldset>
						<legend>Compose your signature</legend>
						<div class="infldset">
							<p>A signature is a small piece of text that is attached to your posts. In it, you can enter just about anything you like. Perhaps you would like to enter your favourite quote or your star sign. It's up to you! In your signature you can use BBCode if it is allowed in this particular forum. You can see the features that are allowed/enabled listed below whenever you edit your signature.</p>
							<div class="txtarea">
								<label>Max length: <%= Settings.sig_length -%> / Max lines: <%= Settings.sig_lines -%><br />
								<textarea name="form[signature]" rows="4" cols="65"><%=h @user.signature -%></textarea><br /></label>
							</div>
							<ul class="bblinks">
								<li><a href="<%= url_for :controller => 'help', :action => 'forum', :anchor => 'bbcode' %>" onclick="window.open(this.href); return false;">BBCode</a>: <%= Settings.sig_bbcode == true ? 'on' : 'off' -%></li>
								<li><a href="<%= url_for :controller => 'help', :action => 'forum', :anchor => 'img' %>" onclick="window.open(this.href); return false;">img tag</a>: <%= Settings.sig_img_tag ? 'on' : 'off' -%></li>
								<li><a href="<%= url_for :controller => 'help', :action => 'forum', :anchor => 'smilies' %>" onclick="window.open(this.href); return false;">Smilies</a>: <%=h Settings.smilies_sig ? 'on' : 'off' -%></li>
							</ul>
							No signature currently stored in profile.
						</div>
					</fieldset>
				</div>
				<p><input type="submit" name="update" value="Submit" />When you update your profile, you will be redirected back to this page.</p>
			</form>
		</div>
	</div>
